Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.webadmin.rest.representations
Class JmxMBeanRepresentation

    java.lang.Object
      org.neo4j.server.rest.repr.Representation
          org.neo4j.server.rest.repr.MappingRepresentation
              org.neo4j.server.rest.repr.ObjectRepresentation
                  org.neo4j.server.webadmin.rest.representations.JmxMBeanRepresentation

    public class JmxMBeanRepresentation

extends ObjectRepresentation

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`ObjectRepresentation.Mapping`

Field Summary
`protected ObjectName` | `beanName`
`protected MBeanServer` | `jmxServer`

Fields inherited from class org.neo4j.server.rest.repr.Representation
`BOOLEAN, BOOLEAN_LIST, BYTE, BYTE_LIST, CHARACTER, CHARACTER_LIST, DOUBLE, DOUBLE_LIST, EXCEPTION, EXTENSION, EXTENSIONS_MAP, FLOAT, FLOAT_LIST, GRAPHDB, INDEX, INTEGER, INTEGER_LIST, LONG, LONG_LIST, NODE, NODE_INDEXES, NODE_LIST, PATH, PATH_LIST, PROPERTIES_MAP, RELATIONSHIP, RELATIONSHIP_INDEXES, RELATIONSHIP_LIST, RELATIONSHIP_TYPE, SHORT, SHORT_LIST, STRING, STRING_LIST, URI, URI_TEMPLATE`

Constructor Summary
`JmxMBeanRepresentation(ObjectName beanInstance)`

Method Summary
`ListRepresentation` | `getAttributes()`
`ValueRepresentation` | `getDescription()`
`ValueRepresentation` | `getName()`
`ValueRepresentation` | `getUrl()`

Methods inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`serialize`

Methods inherited from class org.neo4j.server.rest.repr.MappingRepresentation
`stringMap`

Methods inherited from class org.neo4j.server.rest.repr.Representation
`emptyRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### beanName

    protected ObjectName beanName

### jmxServer

    protected MBeanServer jmxServer

Constructor Detail

### JmxMBeanRepresentation

    public JmxMBeanRepresentation(ObjectName beanInstance)

Method Detail

### getName

    public ValueRepresentation getName()

### getUrl

    public ValueRepresentation getUrl()

### getDescription

    public ValueRepresentation getDescription()
                                       throws IntrospectionException,
                                              InstanceNotFoundException,
                                              ReflectionException

  Throws:
    `IntrospectionException`
    `InstanceNotFoundException`
    `ReflectionException`

### getAttributes

    public ListRepresentation getAttributes()
                                     throws IntrospectionException,
                                            InstanceNotFoundException,
                                            ReflectionException

  Throws:
    `IntrospectionException`
    `InstanceNotFoundException`
    `ReflectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.